API keys
Get an API key
Get API key metadata without its secret.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
key_id*string
Resource identifier: key_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/api-keys/123e4567-e89b-42d3-a456-426614174000"{ "id": "123e4567-e89b-42d3-a456-426614174000", "user_id": "123e4567-e89b-42d3-a456-426614174000", "label": "Customer documents", "prefix": "adl_live_a1", "scopes": [], "expires_at": "2026-09-04T12:00:00Z", "last_used_at": "2026-09-04T12:00:00Z", "revoked_at": "2026-09-04T12:00:00Z", "grace_until": "2026-09-04T12:00:00Z", "created_at": "2026-09-04T12:00:00Z", "rate_limit_per_minute": 0, "rotated_from": "123e4567-e89b-42d3-a456-426614174000", "status": "active"}